from rest_framework.test import APIClient, APITestCase
from core.models import UserAccount


class AuthTests(APITestCase):
    @classmethod
    def setUpTestData(cls):
        cls.user = UserAccount.objects.create(username='user')
        cls.user.set_password('p')
        cls.user.save()
        cls.client = APIClient()

    def test_get_token(self):
        response = self.client.post('/api-token-auth/',
                                    {'username': 'user',
                                     'password': 'p'}, format='json')
        self.assertContains(response, 'token')
